Bug 231563 - Couldn't load Perl module Image::Magick
Summary: Couldn't load Perl module Image::Magick
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: inkscape   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Denis Leroy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-09 00:13 UTC by Peter Ennis
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-25 14:10:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Failed Import of Adobe Illustrator 8 File (175.71 KB, application/postscript)
2007-03-09 00:13 UTC, Peter Ennis
no flags Details

Description Peter Ennis 2007-03-09 00:13:06 UTC
Description of problem:


Failed Import of Adobe Illustrator 8 File:

Couldn't load Perl module Image::Magick.  Images will be skipped.
Can't locate Image/Magick.pm in @INC (@INC contains:
/usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.7/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl/5.8.7
/usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl/5.8.5
/usr/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.7/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl/5.8.7
/usr/lib/perl5/vendor_perl/5.8.6 /usr/lib/perl5/vendor_perl/5.8.5
/usr/lib/perl5/vendor_perl /usr/lib/perl5/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/5.8.8 .) at (eval 1) line 1.
BEGIN failed--compilation aborted at (eval 1) line 1.

Error:  Unexpected 'LB'!  Everything has ended??


Version-Release number of selected component (if applicable):

Inkscape 0.45

[Philip@fc6 ~]$ uname -a
Linux fc6.adaept.com 2.6.19-1.2911.fc6 #1 SMP Sat Feb 10 15:51:47 EST 2007 i686
i686 i386 GNU/Linux
[Philip@fc6 ~]$ date
Thu Mar  8 16:02:11 PST 2007
[Philip@fc6 ~]$ 

Latest FC6 with all updates applied after installing Inkscape.


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Peter Ennis 2007-03-09 00:13:06 UTC
Created attachment 149662 [details]
Failed Import of Adobe Illustrator 8 File

Comment 2 Denis Leroy 2007-03-12 09:03:18 UTC
For the ImageMagick dependency, first run the command

  yum install ImageMagick-perl

But this will not fix the import. A problem I see is that the file has a suffix
of '*.ai', but it appears to be a postscript file. I think as a result inkscape
tries to import it with the wrong input module. If you rename the file with a
'.ps' suffix, the import should work correctly.


Comment 3 Denis Leroy 2007-03-21 08:29:02 UTC
I added the ImageMagick-perl dep to 0.45.1. Closing now. Please reopen if you
still have import problems.


Comment 4 Peter Ennis 2007-03-23 21:17:46 UTC
New version with perl dependencies successfully loaded with yum update on fc6.

Renamed the file to .ps and imported:

Inkscape has received additional data from the script executed.  The script did
not return an error, but this may indicate the results will not be as expected.

pstoedit: version 3.44 / DLL interface 108 (build Nov 23 2006 - release build -
g++ 4.1.1 20061011 (Red Hat 4.1.1-30)) : Copyright (C) 1993 - 2006 Wolfgang Glunz

The import is very small so I used Ctrl and stretch and it shows up.
The b/w ying-yang symbol shows as black only. The bottom section of B
has the wrong color or order. The differences are evident when comparing
with the desktop logo that shows for the .ai (or .ps) file in fc6.

NOTE: The original file is saved as .ai from Illustrator 8.01
so I would expect that import to work without the rename fix.




Comment 5 Denis Leroy 2007-03-25 14:10:47 UTC
1. First of all, your input file contains a mix of Unix-style and MAC-style
end-of-line characters, and that's confusing the Illustrator input extension. I
submitted a patch to Inkscape to fix this here :

http://sourceforge.net/tracker/index.php?func=detail&aid=1687818&group_id=93438&atid=604308

You can also fix this with the 'dos2unix' and 'max2unix' utilities.

2. After the fix, the .ai import works but generates the same black-circle
result that you mentiond. I filed a bug upstream here :

http://sourceforge.net/tracker/index.php?func=detail&aid=1687822&group_id=93438&atid=604306

3. You may want to try importing the postscript file with the 'skconvert'
utility that is part of the "skencil" package (i.e. convert ps to skencil
format, then import the .sk file into Inkscape). This is actually the default
Inkscape behavior, but the Fedora package uses pstoedit as a default postscript
import to avoid having a hard dependency on skencil.

Closing the bug here, as there's nothing i can do about Illustrator support as
it is a proprietary format.



Note You need to log in before you can comment on or make changes to this bug.